Bug 470530 - Anaconda can not select the installation NIC from boot ksdevice option
Anaconda can not select the installation NIC from boot ksdevice option
Status: CLOSED WORKSFORME
Product: Fedora
Classification: Fedora
Component: NetworkManager (Show other bugs)
10
All Linux
medium Severity medium
: ---
: ---
Assigned To: Dan Williams
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-11-07 10:36 EST by A.J. Werkman
Modified: 2009-11-18 17:11 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-11-18 17:11:20 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Tty4 after error (1.85 MB, image/gif)
2008-11-08 13:26 EST, A.J. Werkman
no flags Details
The requested ifcfg-* (550 bytes, application/octet-stream)
2008-11-17 18:08 EST, A.J. Werkman
no flags Details

  None (edit)
Description A.J. Werkman 2008-11-07 10:36:15 EST
Description of problem:
In anaconda 11.4.1.55 from rawhide the kernel cmdline option ksdevice does not work with ethx param.

Version-Release number of selected component (if applicable):
anaconda 11.4.1.55

How reproducible:
Everytime

Steps to Reproduce:
1. Start the installation process from a pxe source on a multi homed system. (I start my test from a secondary harddisk.)
2. My grub entry is:
Title Fedora Rawhide
    root (hd1,0)
    kernel /boot/vmlinuz.raw ksdevice=eth0 ks=http://<server>/ks.raw
    initrd /boot/initrd.raw
3. boot this entry select keyboard and language and see what happens.
  
Actual results:
When come to the point where the network is configured in anaconda, it drops some text on the blue background and NetworkManager tries to setup a network, fails and gives a screen where I have to specify the kickstart device again although I have supplied it on the command line. When I select the device everything else until the "reboot" goes as  expected.

Expected results:
After booting I expect anaconda to fetch the kickstart file and install the OS without any user interaction.

Additional info:
Comment 1 David Cantrell 2008-11-07 19:16:24 EST
Working fine for me.  I have two NICs in my system, eth0 is the one with an active connection.  I boot with:

    ksdevice=eth0 ks=http://mylocalserver/ks.cfg

And it starts up just fine.

My only guess is eth0 is not the device you think it is.  Can you specify it by MAC address and see what happens?  As in ksdevice=MACADDR

If the device you specified via ksdevice is unusable, loader will drop you back to the network device selection screen.
Comment 2 A.J. Werkman 2008-11-08 05:03:59 EST
David,

At the moment I don't have the time to perform your test suggestion. I will do that later on this day.

Your assumption that my device is not the one I think it is, seems unlikely to me. When the NetworkManager fails, it pops up the network device selection screen. It gives me the choice between eth0 and eth1. I select eth0 (the same one I specified in the cmdline). With this choice NetworkManager starts the NIC without any problem and the kickstart process continues as expected.

You have an idee how I can verify your suggestion in the output of the other tty's?

Anyhow I will test again and report my findings.

Koos.
Comment 3 A.J. Werkman 2008-11-08 13:26:47 EST
Created attachment 322961 [details]
Tty4 after error

If I start the installation with ksdevice=$MACADDRESS I see the same behaviour, NetworkManager fails.

I enclose a picture of my tty4 screen after de network device selection screen has come up after the error.

Oddly you can see that DHCP has handed out a network lease and still NetworkManager fails.
Comment 4 David Cantrell 2008-11-08 14:29:43 EST
loader's job at this point is to collect your network settings and pass them to NetworkManager.  It does look like we're doing that correctly, but something is happening in NetworkManager when it tries to bring up the device.  The last line in the tty4 output looks a little curious to me.

I'm going to reassign to NetworkManager because I think at this point, that's where the failure is occurring.
Comment 5 Dan Williams 2008-11-17 14:00:11 EST
Can I get all your ifcfg-* files from /etc/sysconfig/network-scripts post-install?  Looks like something is happening with the mac address locking.
Comment 6 A.J. Werkman 2008-11-17 18:08:00 EST
Created attachment 323815 [details]
The requested ifcfg-*

In this attachment you'll find the requested ifcfg-* files.

I noticed, that after the installation according to ifcfg-eth1 the eth1 interface should not be up, but booting into the system shows the interface eth0 and eth1 both up.
Comment 7 Bug Zapper 2008-11-25 23:59:15 EST
This bug appears to have been reported against 'rawhide' during the Fedora 10 development cycle.
Changing version to '10'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 8 Ryan G 2009-04-08 12:50:11 EDT
Any update on this issue? It is still ongoing with Anaconda v.11.4.1.62 on i386.
Comment 9 Ryan G 2009-05-15 09:52:40 EDT
Dan, has there been any progress on this issue? It is keeping us from rolling out Fedora 10 in our environment. I am happy to provide any additional details or testing needed. Thanks.
Comment 10 Dan Williams 2009-10-16 17:57:56 EDT
Can somebody essentially 'cat /etc/sysconfig/network-scripts/ifcfg-eth0' and 'cat /etc/sysconfig/network-scripts/ifcfg-eth1' after the kickstart has failed, but *before* you re-pick it from the loader's network screen?

The screenshot above and the ifcfg files are from after the loader has re-queried for the device, and thus wont' be useful in figuring out the bug.
Comment 11 A.J. Werkman 2009-10-19 04:21:32 EDT
Dan,

In order to cat the requested files I need to have a shell, but at the point where NetworkManager fails install.img is not loaded yet and so I have no shell.

Is there another way to get the information you asked for at that particular point?
Comment 12 Bug Zapper 2009-11-18 03:47:30 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 13 Ryan G 2009-11-18 09:21:18 EST
I believe this bug was also present in Fedora 11 but I am not sure about 12. Would I be able to grab the requested information using a serial terminal?
Comment 14 Dan Williams 2009-11-18 15:55:05 EST
You should be able to, you can hit Ctl+Z and that will drop you to a busybox shell.  Then you can grab /var/log/messages or I think in the loader it's /tmp/install.log or something like that.  You should also be able to get to the /etc/sysconfig/network-scripts/ifcfg-* from there.
Comment 15 Ryan G 2009-11-18 17:01:39 EST
Dan, I reran the Fedora 11 installer on a few of our motherboards and the issue does not seem to be present. Sorry for any confusion, it seems it would be safe to close this bug now.
Comment 16 Dan Williams 2009-11-18 17:11:20 EST
Ok, thanks for the report.

Note You need to log in before you can comment on or make changes to this bug.